Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFEncoding.DifferencesBuilder

    java.lang.Object
      org.apache.fop.pdf.PDFEncoding.DifferencesBuilder

Enclosing class:
  PDFEncoding

    public class PDFEncoding.DifferencesBuilder

extends java.lang.Object

Builder class for constructing the Differences array.

Constructor Summary
`PDFEncoding.DifferencesBuilder()`

Method Summary
`PDFEncoding.DifferencesBuilder` | `addDifference(int code)` Start a new difference.
`PDFEncoding.DifferencesBuilder` | `addName(java.lang.String name)` Adds a character name to the current difference.
`boolean` | `hasDifferences()` Indicates whether any differences have been recorded.
`PDFArray` | `toPDFArray()` Creates and returns the PDFArray representing the Differences entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFEncoding.DifferencesBuilder

    public PDFEncoding.DifferencesBuilder()

Method Detail

### addDifference

    public PDFEncoding.DifferencesBuilder addDifference(int code)

  Start a new difference.

  Parameters:
    `code` - the starting code index inside the encoding
  Returns:
    this builder instance

### addName

    public PDFEncoding.DifferencesBuilder addName(java.lang.String name)

  Adds a character name to the current difference.

  Parameters:
    `name` - the character name
  Returns:
    this builder instance

### hasDifferences

    public boolean hasDifferences()

  Indicates whether any differences have been recorded.

  Returns:
    true if there are differences.

### toPDFArray

    public PDFArray toPDFArray()

  Creates and returns the PDFArray representing the Differences entry.

  Returns:
    the Differences entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.